Package wx :: Package lib :: Package agw :: Module cubecolourdialog :: Class Colour

[frames | no frames]

## Type Colour

    object --+
             |
        Object --+
                 |
            Colour --+
                     |
                    Colour

This is a subclass of wx.Colour, which adds Hue, Saturation and Brightness capability to the base class. It contains also methods to convert RGB triplets into HSB triplets and vice-versa.

Method Summary
| ``__init__`(self, colour)` Default class constructor.
| ``GetPyColour`(self)` Returns the wxPython wx.Colour associated with this instance.
| ``ToHSV`(self)` Converts a RGB triplet into a HSV triplet.
| ``ToRGB`(self)` Converts a HSV triplet into a RGB triplet.

Property Summary

Class Variable Summary

Method Details

### __init__(self, colour)
(Constructor)

Default class constructor.

colour is a standard wxPython colour.

  Overrides:
    `wx.Colour.__init__`

### GetPyColour(self)

Returns the wxPython wx.Colour associated with this instance.

### ToHSV(self)

Converts a RGB triplet into a HSV triplet.

### ToRGB(self)

Converts a HSV triplet into a RGB triplet.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:45 2009 | http://epydoc.sf.net